gi-cairo-1.0.24: Cairo bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.Device

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype Device = Device (ManagedPtr Device)

# Exported types

newtype Device Source #

Memory-managed wrapper type.

Constructors

Device (ManagedPtr Device) |

#### Instances

Instances details

Eq Device Source # |
Instance details Defined in GI.Cairo.Structs.Device Methods (==) :: Device -> Device -> Bool # (/=) :: Device -> Device -> Bool #
IsGValue Device Source # | Convert `Device` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.Device Methods toGValue :: Device -> IO GValue Source # fromGValue :: GValue -> IO Device Source #
ManagedPtrNewtype Device Source # |
Instance details Defined in GI.Cairo.Structs.Device Methods toManagedPtr :: Device -> ManagedPtr Device Source #
TypedObject Device Source # |
Instance details Defined in GI.Cairo.Structs.Device Methods glibType :: IO GType Source #
GBoxed Device Source # |
Instance details Defined in GI.Cairo.Structs.Device
HasParentTypes Device Source # |
Instance details Defined in GI.Cairo.Structs.Device
type ParentTypes Device Source # |
Instance details Defined in GI.Cairo.Structs.Device type ParentTypes Device = '[] :: [Type]

# Methods

## Overloaded methods